org.springframework.web.socket.adapter.jetty

## Class JettyWebSocketHandlerAdapter

- java.lang.Object
- - org.springframework.web.socket.adapter.jetty.JettyWebSocketHandlerAdapter

-     @WebSocket
      public class JettyWebSocketHandlerAdapter
      extends Object

  Adapts `WebSocketHandler` to the Jetty 9 WebSocket API.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyWebSocketHandlerAdapter(WebSocketHandler webSocketHandler, JettyWebSocketSession wsSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onWebSocketBinary(byte[] payload, int offset, int length)`
    `void` | `onWebSocketClose(int statusCode, String reason)`
    `void` | `onWebSocketConnect(org.eclipse.jetty.websocket.api.Session session)`
    `void` | `onWebSocketError(Throwable cause)`
    `void` | `onWebSocketFrame(org.eclipse.jetty.websocket.api.extensions.Frame frame)`
    `void` | `onWebSocketText(String payload)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyWebSocketHandlerAdapter

          public JettyWebSocketHandlerAdapter(WebSocketHandler webSocketHandler,
                                              JettyWebSocketSession wsSession)

  - ### Method Detail

    - #### onWebSocketConnect

          @OnWebSocketConnect
          public void onWebSocketConnect(org.eclipse.jetty.websocket.api.Session session)

    - #### onWebSocketText

          @OnWebSocketMessage
          public void onWebSocketText(String payload)

    - #### onWebSocketBinary

          @OnWebSocketMessage
          public void onWebSocketBinary(byte[] payload,
                                                            int offset,
                                                            int length)

    - #### onWebSocketFrame

          @OnWebSocketFrame
          public void onWebSocketFrame(org.eclipse.jetty.websocket.api.extensions.Frame frame)

    - #### onWebSocketClose

          @OnWebSocketClose
          public void onWebSocketClose(int statusCode,
                                                         String reason)

    - #### onWebSocketError

          @OnWebSocketError
          public void onWebSocketError(Throwable cause)